Package com.google.android.exoplayer2.testutil

## Class ExtractorAsserts.AssertionConfig

- java.lang.Object
- - com.google.android.exoplayer2.testutil.ExtractorAsserts.AssertionConfig

- Enclosing class:
    ExtractorAsserts

      public static class ExtractorAsserts.AssertionConfig
      extends Object

  A config for the assertions made (e.g. dump file location).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExtractorAsserts.AssertionConfig.Builder` | Builder for `ExtractorAsserts.AssertionConfig` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `deduplicateConsecutiveFormats` | Controls how consecutive formats with no intervening samples are handled.
    `String` | `dumpFilesPrefix` | The prefix prepended to the dump files path.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dumpFilesPrefix

          @Nullable
          public final String dumpFilesPrefix

      The prefix prepended to the dump files path. If not set, the path to the source data will be used to derive this assuming the following path structure:
      - Media: `media/$mediapath`
      - Dumps: `extractordumps/$mediapath`

    - #### deduplicateConsecutiveFormats

          public final boolean deduplicateConsecutiveFormats

      Controls how consecutive formats with no intervening samples are handled. If true, only the last format received is retained. If false, consecutive formats with no samples cause the test to fail.